/*
 * @Author: zc
 * @description 数据统计-话务统计
 */
import request from '@/utils/request';
/**
 * @description 话务统计列表查询
 * @param {object} params
 */
export const callList = (params: object) => {
	return request({
		url: `/api/v1/BiCall/calls`,
		method: 'get',
		params,
	});
};
/**
 * @description 话务统计列表查询-导出
 * @param {object} data
 */
export const callListExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/calls_export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	});
};
/**
 * @description 话务统计明细列表查询
 * @param {object} params
 */
export const callDetailList = (params: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 话务统计明细列表查询-导出
 * @param {object} data
 */
export const callDetailListExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_detail_export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	});
};
/**
 * @description 话务统计明细日期查询
 * @param {object} params
 */
export const callDateListDate = (params: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_hour_detail_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 话务统计明细日期导出
 * @param {object} data
 */
export const callDetailListDateExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_hour_detail_list_export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	});
};
/**
 * @description 话务统计列表明细
 * @param {object} params
 */
export const callDetailListDetail = (params: object) => {
	return request({
		url: `/api/v1/BiCall/query_incall_calls_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 话务统计列表明细导出
 * @param {object} data
 */
export const callDetailListDetailExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/query_incall_calls_list_export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	});
};
/**
 * @description 坐席话务统计分析
 * @param {object} params
 */
export const callAgent = (params: object) => {
	return request({
		url: `/api/v1/BiCall/seats`,
		method: 'get',
		params,
	});
};
/**
 * @description 坐席话务统计分析导出
 * @param {object} data
 */
export const callAgentExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/seats/export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	}
	)
}
/**
 * @description 坐席小休统计
 * @param {object} params
 */
export const callRest = (params: object) => {
	return request({
		url: `/api/v1/BiCall/rests`,
		method: 'get',
		params,
	});
};

/**
 * @description 坐席转接统计
 * @param {object} params
 */
export const callTransfer = (params: object) => {
	return request({
		url: `/api/v1/BiCall/seatswitch`,
		method: 'get',
		params,
	});
}
/**
 * @description 通话时段统计基础信息
 * @param {object} params
 */
export const callPeriodBase = (params?: object) => {
	return request({
		url: `/api/v1/BiCall/hourcall_list_base`,
		method: 'get',
		params,
	});
}
/**
 * @description 通话时段统计明细
 * @param {object} params
 */
export const callPeriodDetail = (params?: object) => {
	return request({
		url: `/api/v1/BiCall/hourcall_list`,
		method: 'get',
		params,
	});
}
/**
 * @description 通话时段统计
 * @param {object} params
 */
export const callPeriod = (params: object) => {
	return request({
		url: `/api/v1/BiCall/hourcall`,
		method: 'get',
		params,
	});
}
/**
 * @description 通话时段统计导出
 * @param {object} data
 */
export const callPeriodExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/hourcall/export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	}
	)
}
/**
 * @description 热线号码统计
 * @param {object} params
 */
export const callHotline = (params: object) => {
	return request({
		url: `/api/v1/BiCall/gateway-query`,
		method: 'get',
		params,
	});
}
/**
 * @description 热线号码统计导出
 * @param {object} data
 */
export const callHotlineExport = (data: object) => {
	return request({
		url: `/api/v1/Bicall/gateway-query/export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	}
	)
}
/**
 * @description 坐席动作列表基础数据
 * @param {object} params
 */
export const callActionBase = (params?: object) => {
	return request({
		url: `/api/v1/IPPbx/telaction-basedata`,
		method: 'get',
		params,
	});
}
/**
 * @description 坐席动作列表
 * @param {object} params
 */
export const callAction = (params: object) => {
	return request({
		url: `/api/v1/IPPbx/telaction-list`,
		method: 'get',
		params,
	});
}
/**
 * @description 话务日期统计简单
 * @param {object} params
 */
export const callDateSimple = (params: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_statistics`,
		method: 'get',
		params,
	});
}
/**
 * @description 话务日期统计简单导出
 * @param {object} data
 */
export const callDateSimpleExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_statistics_export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	}
	)
}
/**
 * @description 话务日期统计简单详情
 * @param {object} params
 */
export const callDateSimpleDetail = (params: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_statistics_detail`,
		method: 'get',
		params,
	});
}
/**
 * @description 话务日期统计简单详情导出
 * @param {object} data
 */
export const callDateSimpleDetailExport = (data: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_statistics_detail/export`,
		method: 'post',
		data,
		responseType: 'blob',
	}, {
		reduce_data_format: false
	}
	)
}
/**
 * @description 话务日期统计简单详情基础信息
 * @param {object} params
 */
export const callDateSimpleDetailBase = (params?: object) => {
	return request({
		url: `/api/v1/BiCall/query_calls_statistics_detail/base-data`,
		method: 'get',
		params,
	});
}