/*
 * @Author: zc
 * @description 工单管理-待办
 */
import request from '@/utils/request';

/**
 * @description 工单待办列表
 * @param {any} params
 */
export const orderListTodo = (params: any) => {
    return request({
        url: `/api/v1/Order/waited`,
        method: 'get',
        params
    });
};
/**
 * @description 工单坐席待办列表查询总数
 * @param {any} params
 */
export const orderListTodoCount = (params: any) => {
    return request({
        url: `/api/v1/Order/waited/sign/count`,
        method: 'get',
        params
    });
};
/**
 * @description 坐席待办列表
 * @param {any} params
 */
export const seatsListTodo = (params: any) => {
    return request({
        url: `/api/v1/Order/waited/sign`,
        method: 'get',
        params
    });
};
/**
 * @description 工单待办-签收
 * @param {string} orderId
 */
export const orderSign = (orderId: string) => {
    return request({
        url: `/api/v1/Order/sign/${orderId}`,
        method: 'post'
    });
};
/**
 * @description 平均派单
 * @param {object} data
 */
export const orderAverage = (data?: any) => {
    return request({
        url: `/api/v1/Order/trigger_average_order`,
        method: 'post',
        data
    });
};